Target version: 2.4.0   
Description

Hi there,

this is a small patch, which should provide the possibility to configure the OpenIdAuthentication.store.

This throws many warnings and spams the log-file on each start.

Message:

OpenIdAuthentication.store is nil. Using in-memory store.

 There is also a discussion about this here: http://www.redmine.org/boards/1/topics/35523?r=37706#message-37706

About the Patch:

1. Added a new initializer which initialize the Store with a environment setting, if this isn't preserved, he loads a default value.

2. Added two demo configurations to the environments production and development

Best regards,

Daniel

Associated revisions

Revision 11849 - 2013-05-16 12:55 - Toshi MARUYAMA

enable configuration of OpenIdAuthentication.store (#14060)

Revision 11895 - 2013-05-21 12:00 - Toshi MARUYAMA

fix yaml syntax and comment out (#14060)

History

#1 - 2013-05-15 13:08 - Jan Niggemann (redmine.org team member)

Very good, this message keeps bugging me...

#2 - 2013-05-16 02:23 - Toshi MARUYAMA

- File openid-conf.diff added

How about this patch?

#3 - 2013-05-16 11:05 - Daniel Felix

+1 works for me too.

#4 - 2013-05-16 12:49 - Toshi MARUYAMA

- Subject changed from Enable configruation of OpenIdAuthentication.store to Enable configuration of OpenIdAuthentication.store

fix typo.

#5 - 2013-05-16 12:56 - Toshi MARUYAMA
http://www.redmine.org/boards/1/topics/35523?r=37706#message-37706


- Tracker changed from Patch to Feature

- Target version set to 2.4.0

- Resolution set to Fixed

Committed in trunk r11849, thanks.

#6 - 2013-05-16 13:25 - Toshi MARUYAMA

- Status changed from New to Closed

Files

enable_authentication_store_configuration.diff 1.75 KB 2013-05-15 Daniel Felix

openid-conf.diff 1.27 KB 2013-05-16 Toshi MARUYAMA
